if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	RTB_registerPref("Required Admin","Home Command","$homeCmd::requiredAdmin","list Anyone 0 Admin 1 SuperAdmin 2 Host 3","Server_HomeCommand",0,0,1);
	RTB_registerPref("Use Delay","Home Command","$homeCmd::useDelay","bool","Server_HomeCommand",false,false,false);
	RTB_registerPref("Delay (MS)","Home Command","$homeCmd::Delay","int 1 10000","Server_HomeCmd",15,false,true);
}
else
{
	$homeCmd::requiredAdmin=0;
	$homeCmd::useDelay=false;
	$homeCmd::delay=0;
}
function serverCmdSetHome(%c)
{
	if(%c.isAdmin+%c.isSuperAdmin+%c.isHost>=$homeCmd::requiredAdmin)
	{
		%p=%c.player;
		%i=%c.bl_id;
		%t=%p.getTransform();
		%c.home=%t;
		messageClient(%c,0,"\c3Home Set.",0);
	}
	else
	{
		messageClient(%c,0,"\c2You do not have permission to use this.",0);
	}
}
function serverCmdHome(%c)
{
	if(%c.isAdmin+%c.isSuperAdmin+%c.isHost>=$homeCmd::requiredAdmin)
	{
		if($homeCmd::useDelay)
		{
			homeIfDelay(%c);
		}
		else
		{
			goToHome(%c);
		}
	}
	else
	{
		messageClient(%c,0,"\c2You do not have permission to use this.",0);
	}
}
function homeIfDelay(%c)
{
	%pt=%c.player.getPosition();
	%c.HCSchedule=schedule($homeCmd::delay,0,"homeIfDelayPB",%c,%pt);
	messageClient(%c,0,"\c3Going to Home. Do not move for "@$homeCmd::delay/1000@ " seconds to be teleported.",0);
}
function homeIfDelayPB(%c,%pt)
{
	%np=%c.player.getPosition();
	if(%pt!=%np)
	{
		messageClient(%c,0,"\c3You moved. Teleportation was cancelled.",0);
	}
	else
	{
		goToHome(%c);
	}
}
function goToHome(%c)
{
	%p=%c.player;
	%p.setTransform(%c.home);
	messageClient(%c,0,"\c3Went to Home.",0);
}